package com.taais.system.service;


import com.taais.common.core.core.page.PageResult;
import com.taais.system.domain.SysClient;
import com.taais.system.domain.bo.SysClientBo;
import com.taais.system.domain.vo.SysClientVo;
import com.mybatisflex.core.service.IService;

import java.util.Collection;
import java.util.List;

/**
 * 系统授权表 服务层。
 *
 * @author wgk
 * @since 1.0
 */
public interface ISysClientService extends IService<SysClient> {
    /**
     * 查询客户端管理
     */
    SysClientVo selectById(Long id);

    /**
     * 查询客户端信息基于客户端id
     */
    SysClient selectByClientId(String clientId);

    /**
     * 查询客户端管理列表
     */
    PageResult<SysClientVo> selectPage(SysClientBo sysClientBo);

    /**
     * 查询客户端管理列表
     */
    List<SysClientVo> selectList(SysClientBo sysClientBo);

    /**
     * 新增客户端管理
     */
    Boolean insert(SysClientBo sysClientBo);

    /**
     * 修改客户端管理
     */
    Boolean update(SysClientBo sysClientBo);

    /**
     * 修改状态
     */
    boolean updateStatus(SysClientBo sysClientBo);

    /**
     * 校验并批量删除客户端管理信息
     */
    Boolean deleteByIds(Collection<Long> ids);
}
